buffer_peekc(3)

NAME
buffer_peekc - read one char from buffer

SYNTAX
#include <libowfat/buffer.h>

int buffer_peekc(buffer* b,char* x);

DESCRIPTION
buffer_peekc(b,x) is like buffer_get(b,x,1) but without advancing the buffer pointer. If you call it again, or call buffer_getc after it, you will get the same data again.

RETURN VALUE
buffer_peekc returns 1 on success, 0 when at the end of the file, or -1 if there was an I/O error (setting errno appropriately).

SEE ALSO
buffer_init(3), buffer_get(3), buffer_getc(3), buffer(3)